## GimpOffsetArea

GimpOffsetArea — Widget to control image offsets.

## Functions

GtkWidget * | gimp_offset_area_new ()
void | gimp_offset_area_set_size ()
void | gimp_offset_area_set_offsets ()
void | gimp_offset_area_set_pixbuf ()

## Signals

void | offsets-changed | Run First

## Types and Values

| GimpOffsetArea

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkDrawingArea
                        ╰── GimpOffsetArea

## Implemented Interfaces

GimpOffsetArea implements AtkImplementorIface and GtkBuildable.

## Description

Widget to control image offsets.

## Functions

### gimp_offset_area_new ()

    GtkWidget *
    gimp_offset_area_new (gint orig_width,
                          gint orig_height);

Creates a new GimpOffsetArea widget. A GimpOffsetArea can be used when resizing an image or a drawable to allow the user to interactively specify the new offsets.

#### Parameters

orig_width | the original width |
orig_height | the original height |

#### Returns

the new GimpOffsetArea widget.

### gimp_offset_area_set_size ()

    void
    gimp_offset_area_set_size (GimpOffsetArea *offset_area,
                               gint width,
                               gint height);

Sets the size of the image/drawable displayed by the GimpOffsetArea. If the offsets change as a result of this change, the "offsets-changed" signal is emitted.

#### Parameters

offset_area | a GimpOffsetArea. |
width | the new width |
height | the new height |

### gimp_offset_area_set_offsets ()

    void
    gimp_offset_area_set_offsets (GimpOffsetArea *offset_area,
                                  gint offset_x,
                                  gint offset_y);

Sets the offsets of the image/drawable displayed by the GimpOffsetArea. It does not emit the "offsets-changed" signal.

#### Parameters

offset_area | a GimpOffsetArea. |
offset_x | the X offset |
offset_y | the Y offset |

### gimp_offset_area_set_pixbuf ()

    void
    gimp_offset_area_set_pixbuf (GimpOffsetArea *offset_area,
                                 GdkPixbuf *pixbuf);

Sets the pixbuf which represents the original image/drawable which is being offset.

#### Parameters

offset_area | a GimpOffsetArea. |
pixbuf | a GdkPixbuf. |

Since GIMP 2.2

## Types and Values

### GimpOffsetArea

    typedef struct _GimpOffsetArea GimpOffsetArea;

## Signal Details

### The `“offsets-changed”` signal

    void
    user_function (GimpOffsetArea *gimpoffsetarea,
                   gint            arg1,
                   gint            arg2,
                   gpointer        user_data)

#### Parameters

gimpoffsetarea | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run First